
Org Lang Stats
======  

[![Maintainability](https://api.codeclimate.com/v1/badges/b820cd0c3fe8775cd50d/maintainability)](https://codeclimate.com/github/Dimitris-Ilias/org_lang_stats/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/b820cd0c3fe8775cd50d/test_coverage)](https://codeclimate.com/github/Dimitris-Ilias/org_lang_stats/test_coverage)


## Overview
Did you know Google's own public repos consist of 59% C code? Org Lang Stats is a cli tool that will let you find out the languages an organization uses in their repositories and their volume in bytes or percent values.

## Dependancies
To run org_lang_stats you will need:
- Ruby 2.1 +

## Installation

        gem install org_lang_stats

## Usage
Basic usage:

        org_lang_stats --org workable > workable.json
 
Options:

        --help               Show this message
        --org string         Organization name as appeared on github (required)
        --token string       Github Personal Access Token. (found at https://github.com/settings/developers)
        --threads [1..100]   Adjusts the concurrency (default: 10)
        --debug              If enabled, adds debug messages to the output (will not produce valid json)
        --percent            If enabled, converts absolute values (bytes) to percent values

Example with all options used:

        org_lang_stats --org workable --threads 10 --token yourtokenhere --debug --percent

## Authentication
- No authentication required! However Github limits requests for non authenticated requests to only 60 per hour.
Refresh your IP to reset the rate limit or input a --token.


## Tests

To run the tests:

        bundle install
        rake test

A test coverage report will be generated by simplecov when the tests are run on folder **coverage**

## TODO
Add graphic representation using https://github.com/ankane/chartkick
Use a framework like https://github.com/vcr/vcr to generate fixtures
Use github's new GraphQL API
