
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "org_lang_stats/version"

Gem::Specification.new do |spec|
  spec.name          = "org_lang_stats"
  spec.version       = OrgLangStats::VERSION
  spec.authors       = ["Dimitris Ilias"]
  spec.email         = ["dimitrisiliascs@gmail.com"]

  spec.summary       = %q{Retrieves language stats from GitHub, for public repositories of an organization}
  spec.homepage      = "https://github.com/Dimitris-Ilias/org_lang_stats"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org/"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.1'
  spec.add_dependency "rest-client", "~> 2.0"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "minitest", "~> 5.11"
  spec.add_development_dependency "webmock", "~> 3.3"
  spec.add_development_dependency "simplecov", "~> 0.15"
  spec.add_development_dependency "minitest-reporters", "~> 1.1"
end
